Bug 962067 - *FIXED*: How to get OpenBve on Fedora linux running
*FIXED*: How to get OpenBve on Fedora linux running
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
18
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-11 09:20 EDT by name300
Modified: 2014-02-05 16:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:19:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description name300 2013-05-11 09:20:37 EDT
Description of problem:
Problem: After downloading openBVE from http://www.openbve.org/, it was not possible to launch it via "mono OpenBve.exe". (mono-core etc. installed!)



-----------
How I fixed it:
just installed mono-nunit-2.10.8-3.fc18 and mono-locale-extras-2.10.8-3.fc18


-----------
Steps to fix this problem:
1. install mono-nunit-2.10.8-3.fc18
2. install mono-locale-extras-2.10.8-3.fc18

-----------
Actual results:
OpenBVE running fine

Expected results:
OpenBVE running fine

--------------------------------------------
tags:
#OpenBVE #OpenBve #fedora #linux
#Additional info:System.NotSupportedException: CodePage 37 not supported
  at System.Text.Encoding.GetEncoding (Int32 codepage) [0x00000] in <filename unknown>:0
  at System.Text.EncodingInfo.GetEncoding () [0x00000] in <filename unknown>:0
  at System.Text.EncodingInfo.get_Name () [0x00000] in <filename unknown>:0
  at System.Text.EncodingInfo.get_DisplayName () [0x00000] in <filename unknown>:0
  at OpenBve.formMain.formMain_Load (System.Object sender, System.EventArgs e) [0x00000] in <filename unknown>:0
  at System.Windows.Forms.Form.OnLoad (System.EventArgs e) [0x00000] in <filename unknown>:0
  at System.Windows.Forms.Form.OnLoadInternal (System.EventArgs e) [0x00000] in <filename unknown>:0
Comment 1 Fedora End Of Life 2013-12-21 08:29:15 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:19:10 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.